Skip to main content

Booking Detail

API Reference
GET/api/v1/experience/agent/booking/detail

Document History

versionpublish dateDescription
1.0.025-10-2026Intial Specification

Header Parameters​

Content-Type
required
string
Content type
Example: application/json
Authorization
required
string
Authorization
Example: Bearer {accessToken}

Query Parameters​

bookingInternalNo
required
string
Booking Internal Number

Response Schema​

ref
required
string
Reference transaction
code
required
String
Response code
status
required
Boolean
Response status
Example: true, false
data
required
Object
Booking response data
reservationNo
required
String
Reservation number
bookingInternalNo
required
String
Internal booking number
bookingDate
required
String
Booking date and time
bookingStatus
required
String
Booking status
Example: WAIT TO BOOK, WAIT TO CONFIRM, BOOKED ,CANCELED
activityDate
required
String
Activity date
totalPrice
required
Number
Total booking price
currency
required
String
Currency
Example: THB
totalQuantity
required
Number
Total quantity of tickets
productId
required
String
Product ID
productName
required
String
Product name
packageType
required
String
Package type
Example: fixdate, opendate
packageId
required
String
Package ID
packageName
required
String
Package name
options
required
Array Object
Booking ticket options
pricePerPackage
required
Number
Price per package
currency
required
String
Currency
Example: THB
totalTickets
required
String
Total tickets for the ticket type
ticketType
required
String
Ticket type
Example: ADULT, CHILD
contact
required
Object
Contact information
title
required
String
Contact title
Example: Mr, Ms
firstName
required
String
Contact first name
lastName
required
String
Contact last name
email
required
String
Contact email
phone
required
String
Contact phone number
prefixPhone
required
String
Phone country prefix
Example: 66
phoneNumber
required
String
Phone number without country prefix
countryOfPassport
required
String
Country of passport
Example: TH
questions
required
Array Object
Traveler questions and answers
groupId
optional
String
Question group ID
Example: TRAVELER
groupName
optional
String
Question group name
Example: Traveler Information
questionlist
optional
Array Object
List of questions and answers
id
optional
String
Question ID
Example: Q001, Q002, Q003
name
optional
String
Question name
Example: Full Name, Nationality, Date of Birth
type
optional
String
question type
Example: select, text ,date
answer
optional
String
Answer to the question
termsAndConditions
optional
String
Terms and conditions
voucher
optional
String
voucher of product, genarate when booking success